Bug 1987580 - ipsilon: FTBFS in Fedora rawhide/f35
Summary: ipsilon: FTBFS in Fedora rawhide/f35
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ipsilon
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1900651
Blocks: F35FTBFS F36FTBFS, RAWHIDEFTBFS
TreeView+ depends on / blocked
 
Reported: 2021-07-29 15:18 UTC by Fedora Release Engineering
Modified: 2021-09-22 00:16 UTC (History)
1 user (show)

Fixed In Version: ipsilon-2.1.0-22.git20210601.b68a5e3.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-22 00:16:26 UTC
Type: ---


Attachments (Terms of Use)
build.log (1.22 KB, text/plain)
2021-07-29 15:18 UTC, Fedora Release Engineering
no flags Details
root.log (32.00 KB, text/plain)
2021-07-29 15:18 UTC, Fedora Release Engineering
no flags Details
state.log (907 bytes, text/plain)
2021-07-29 15:18 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2021-07-29 15:18:43 UTC
ipsilon failed to build from source in Fedora rawhide/f35

https://koji.fedoraproject.org/koji/taskinfo?taskID=72382953


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
Please fix ipsilon at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
ipsilon will be orphaned. Before branching of Fedora 36,
ipsilon will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2021-07-29 15:18:46 UTC
Created attachment 1807755 [details]
build.log

Comment 2 Fedora Release Engineering 2021-07-29 15:18:49 UTC
Created attachment 1807756 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2021-07-29 15:18:51 UTC
Created attachment 1807757 [details]
state.log

Comment 4 Fedora Release Engineering 2021-08-01 04:28:08 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 35.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-09-23).

A week before the mass branching of Fedora 36 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 34 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-36/f-36-key-tasks.html

Comment 5 Neal Gompa 2021-08-01 12:41:17 UTC
This is blocked on bug 1900651 being resolved first.

Comment 6 Ben Cotton 2021-08-10 13:21:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 7 Fedora Update System 2021-09-21 16:03:08 UTC
FEDORA-2021-c3b25b1592 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-c3b25b1592

Comment 8 Fedora Update System 2021-09-21 18:53:04 UTC
FEDORA-2021-c3b25b1592 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-c3b25b1592`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-c3b25b1592

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-09-22 00:16:26 UTC
FEDORA-2021-c3b25b1592 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.